petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESQNSetType

Sets the quasi-Newton variant to be used in SNESQN.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetType(SNES snes, SNESQNType qtype)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the iterative context Many br
| qtype | - variant type Many br

### Options Database

-snes_qn_type <lbfgs,broyden,badbroyden> - Many br Many br

### SNESQNTypes

| SNES_QN_LBFGS | - LBFGS variant Many br
| SNES_QN_BROYDEN | - Broyden variant Many br
| SNES_QN_BADBROYDEN | - Bad Broyden variant Many br

### Keywords

SNES, SNESQN, type, set, SNESQNType

Level:beginner
Location:src/snes/impls/qn/qn.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages